// © ANO PO "KSI", 2016

#ifndef DBHASHWIDGET_H
#define DBHASHWIDGET_H

#include "qtcommon.h"

class DBHashWidget : public QWidget
{
	Q_OBJECT

private:
	QLabel* m_pLabelFilename, *m_pLabelHash;
public:
	DBHashWidget(const QString& filename=QString(), const QString& hash=QString(), QWidget *parent = nullptr);
	~DBHashWidget();
public:
	void setFilename(const QString& filename);
	void setHash(const QString& hash);
private:
	void createControls();
private slots:
	void copyHashToClipboard();
};

#endif // DBHASHWIDGET_H
